Bug 482872 - Clear-text password connection (cifs) failure
Summary: Clear-text password connection (cifs) failure
Keywords:
Status: CLOSED DUPLICATE of bug 465143
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jeff Layton
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-28 16:44 UTC by Tru Huynh
Modified: 2014-06-18 07:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-22 18:57:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
upstream patched from samba bugzilla (1.26 KB, patch)
2009-01-28 22:51 UTC, Tru Huynh
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
CentOS 3369 0 None None None Never

Description Tru Huynh 2009-01-28 16:44:25 UTC
Description of problem:
Clear-text password connection (cifs) failure 

Version-Release number of selected component (if applicable):

How reproducible:
always

Steps to Reproduce:
1. modprobe cifs
2. echo 0x30030 | sudo tee /proc/fs/cifs/SecurityFlags
3. echo 1 | sudo tee /proc/fs/cifs/cifsFYI
4. sudo mount.cifs //netapp/share /silo -o user=tru,uid=500,gid=100,netbiosname=NETAPP,domain=WORKGROUP
Actual results:
Jan 28 17:05:09 r5400-eth0 kernel:  CIFS VFS: Error connecting to IPv4 socket. Aborting operation
Jan 28 17:05:09 r5400-eth0 kernel:  CIFS VFS: cifs_mount failed w/return code = -512


Expected results:
cifs mount

Additional info:

Comment 1 Jeff Layton 2009-01-28 19:30:36 UTC
On what kernel are you testing this?

Comment 2 Tru Huynh 2009-01-28 21:58:44 UTC
2.6.18-92.1.22.el5 with cifs version 1.50cRH

Comment 3 Jeff Layton 2009-01-28 22:08:04 UTC
Could you test this with a 5.3 kernel (-128.el5 or later)?

If that doesn't work, then please try the test kernels on my people.redhat.com page:

    http://people.redhat.com/jlayton

...they have CIFS patches that I'm testing for 5.4. There are some plaintext auth fixes in there so it's possible that this is already fixed.

Comment 4 Tru Huynh 2009-01-28 22:50:47 UTC
According to Akemi (see CentOS entry) and by reading the cifs folder, the bug is still there on the GA of RHEL-5.3 (-128 release). I am attaching the 2 lines patch, maybe it's faster if you could check it against your src.rpm? otherwise I can download your src.rpm and glance at them.

Thanks

Tru

Comment 5 Tru Huynh 2009-01-28 22:51:37 UTC
Created attachment 330298 [details]
upstream patched from samba bugzilla

Comment 6 Tru Huynh 2009-01-28 22:58:11 UTC
ok I see the 2 patches which are fixing the issue:
465143	019-bz-465143-cifs-fix-plaintext-a.patch
465143	020-bz-465143-cifs-turn-off-unicod.patch

Any chance that they are pushed on kernel 5.3 BA ?

Comment 7 Jeff Layton 2009-01-28 23:08:26 UTC
Doubtful that that will make a 5.3.z release. It's not causing a panic or security issue. It should make 5.4 though.

Comment 8 Tru Huynh 2009-01-28 23:28:06 UTC
thanks for your time and input. Meanwhile any one who needs to have it fixed will need to request a RHEL support case from their regular support channel.It's probably also there on 4.7 also, maybe it could be fixed for 4.8?

Comment 9 Jeff Layton 2009-01-28 23:41:11 UTC
(In reply to comment #8)
> thanks for your time and input. Meanwhile any one who needs to have it fixed
> will need to request a RHEL support case from their regular support
> channel.

Correct.

> It's probably also there on 4.7 also, maybe it could be fixed for 4.8?

I believe the patches in question are already in the CIFS update for 4.8.

Comment 10 Tru Huynh 2009-01-28 23:52:01 UTC
yes, it's on your list of patches for 4.8 at http://people.redhat.com/jlayton/

462459 069-bz-462459-cifs-fix-plaintext-a.patch
462459 070-bz-462459-cifs-turn-off-unicod.patch 

and https://bugzilla.redhat.com/show_bug.cgi?id=462459

Comment 11 RHEL Program Management 2009-02-12 19:41:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 12 RHEL Program Management 2009-02-16 15:43:55 UTC
Updating PM score.

Comment 14 Jeff Layton 2009-04-22 18:57:00 UTC

*** This bug has been marked as a duplicate of bug 465143 ***


Note You need to log in before you can comment on or make changes to this bug.